GET
https://api.cryptohopper.com/v1/strategy/market
Returns the strategies the user bought on the Marketplace, sorted by name, with rating, number of reviews and number of sales.
OAuth scope:
read About scopes
rating is null when the strategy has no reviews.
Example request
curl "https://api.cryptohopper.com/v1/strategy/market" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/strategy/market', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/strategy/market",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/strategy/market');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": {
"strategies": [
{
"id": "384000",
"type": "strategy",
"item_id": "45679",
"name": "Momentum strategy",
"logo": "https://cdn.cryptohopper.com/images/strategies/user/384000_2026-08-01-09-00-00.jpg",
"hidden_configuration": "0",
"created_date": "2026-08-01 09:00:00",
"rating": "4.50000",
"total_votes": "8",
"sales": "120",
"link": "https://www.cryptohopper.com/marketplace/item?item_id=45679"
}
],
"result": 1
}
}